<div class="wrapper">
  <div class="block-center mt-4" style="width: 75%">
    <div class="content-heading">
      <div>
        <h2>Get full access to all features on Marketplace</h2>
        <h5>Fill information about you and send for approval</h5>
      </div>
    </div>

    <!-- START card-->
    <div>
      
      <form [formGroup]="valForm" class="form-horizontal" method="get" (submit)="submitForm($event, valForm.value)">
        <div class="form-group row">
          <div class="col-md-10">

            <div class="form-row card">
              <p class="card-header">General Information</p>
              <div class="col-lg-6 mb-3 card-body">
                <label for="validationServer01">First name</label>
                <input class="form-control" id="validationServer01" type="text" placeholder="First name" required="" formControlName="firstName" />
              </div>

              <div class="col-lg-6 mb-3 card-body">
                <label for="validationServer02">Last name</label>
                <input class="form-control" id="validationServer02" type="text" placeholder="Last name" required="" formControlName="lastName" />
              </div>

              <!-- <div class="col-lg-6 mb-3 card-body">
                <label for="validationServer021">Phone number</label>
                <input class="form-control" id="validationServer021" type="text" placeholder="Email address" required="" formControlName="emailAddress" />
              </div> -->

              <!-- <div class="col-lg-6 mb-3 card-body">
                <label for="validationServer021">Email Address</label>
                <input class="form-control" id="validationServer021" type="text" placeholder="Email address" required="" formControlName="emailAddress" />
              </div> -->

            </div>


            <div class="form-row card">
              <p class="card-header">Address of Residence</p>
              <table>
                <tr>
                  <td>
                      <label for="validationServer03">Street</label>
                      <input class="form-control" id="validationServer03" type="text" placeholder="Street" formControlName="street" required="" />
                  </td>
                  <td>
                    <label for="validationServer04">Number</label>
                    <input class="form-control" id="validationServer04" type="text" placeholder="Number" formControlName="streetNumber" required="" />
                  </td>
                  <td>
                      <label for="validationServer05">Zip Code</label>
                      <input class="form-control" id="validationServer05" type="text" placeholder="Zip" formControlName="zipCode" required="" />
                  </td>
                </tr>
                <tr>
                  <td>
                      <label for="validationServer06">City</label>
                      <input class="form-control" id="validationServer06" type="text" placeholder="City" formControlName="city" required="" />
                  </td>
                  <td>
                      <label for="validationServer07">State/Region/Canton...</label>
                      <input class="form-control" id="validationServer07" type="text" placeholder="Region" formControlName="region" required="" />
                  </td>
                </tr>
                <tr>
                  <td>
                      <label for="validationServer08">Country</label>
                      <br />
                      <select class="form-control" id="validationServer08" formControlName="countryId">
                        <option *ngFor="let country of countries" value="{{country.id}}">{{country.description}}</option>
                      </select>
                  </td>
                  <td>

                  </td>
                </tr>
              </table>
            </div>
            
            <!--==================================================================================================-->
            <!--====================================== Organization Details ======================================-->
            <!--==================================================================================================-->

            <div class="form-row card">
              <div class="card-header">
                <div class="d-flex justify-content-between">
                    <span>
                      Organization Information
                    </span>
                    <div>
                      <label class="switch m-0">
                        <input type="checkbox" (click)="toggleBusinessSection()" />
                        <span style="top: -30px"></span>
                      </label>
                    </div>
                </div>
              </div>

              <div *ngIf="businessCardVisible" id="businessInfoCard">
                <div class="mb-3 card-body">
                  <label for="basic-url">Website Address</label>
                  <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <span class="input-group-text" id="basic-addon3">https://</span>
                    </div>
                    <input class="form-control" id="basic-url" type="text" aria-describedby="basic-addon3" formControlName="webAddress" />
                  </div>
                </div>

                <div class="mb-3 card-body">
                  <label for="validationServer03">Organization Name</label>
                  <input class="form-control" id="validationServer09" type="text" placeholder="Organization Name" required="True" formControlName="orgName" />
                </div>

                <div class="mb-3 card-body">
                  <label for="validationServer04">Registration Number</label>
                  <input class="form-control" id="validationServer010" type="text" placeholder="Registration Number" required="True" formControlName="regNumber" />
                </div>

                <div class="mb-3 card-body">
                  <label for="validationServer05">VAT Number (Optional)</label>
                  <input class="form-control" id="validationServer011" type="text" placeholder="VAT Number" required="" formControlName="vatNumber" />
                </div>

                <div class="mb3 card-body">
                  <label for="validationServer031" class="mb3">Phone Number</label>
                    <div class="input-group mb-3">
                      <div class="input-group-prepend">
                        <div class="btn-group" dropdown>
                          <select class="btn btn-outline-secondary dropdown-toggle" formControlName="phoneNumberCode" >
                            <option *ngFor="let country of countries" value="{{country.dialingCode}}">{{country.description}} {{country.dialingCode}}</option>
                          </select>
                          <input id="validationServer031" class="form-control" type="text" formControlName="phoneNumber" />
                        </div>
                      </div>
                    </div>
                </div>

                <div class="form-row card">
                    <div class="card-header">
                      Address of Organization
                    </div>  
                  
                    <div class=" mb-3 card-body">

                    <table>
                      <tr>
                        <td>
                          <label for="validationServer0311">Street</label>
                          <input class="form-control" id="validationServer0311" type="text" placeholder="Street" formControlName="orgStreet" required="" />
                        </td>
                        <td>
                          <label for="validationServer0411">Number</label>
                          <input class="form-control" id="validationServer0411" type="text" placeholder="Number" formControlName="orgStreetNumber" required="" />
                        </td>
                        <td>
                            <label for="validationServer0511">Zip Code</label>
                            <input class="form-control" id="validationServer0511" type="text" placeholder="Zip" formControlName="orgZipCode" required="" />
                        </td>
                      </tr>
                      <tr>
                        <td>
                            <label for="validationServer0611">City</label>
                            <input class="form-control" id="validationServer0611" type="text" placeholder="City" formControlName="orgCity" required="" />
                        </td>
                        <td>
                            <label for="validationServer0711">Region</label>
                            <input class="form-control" id="validationServer0711" type="text" placeholder="Region" formControlName="orgRegion" required="" />
                        </td>
                      </tr>
                      <tr>
                        <td>
                            <label for="validationServer0811">Country</label>
                            <select class="form-control" id="validationServer0811" formControlName="orgCountryId">
                              <option *ngFor="let country of countries" value="{{country.id}}">{{country.description}}</option>
                            </select>
                        </td>
                        <td>

                        </td>
                      </tr>
                    </table>

                  </div>
              </div>

            </div>

            <div class="form-row card">
              <div class="col-lg-6 mb-3 card-body">
                <div class="form-group mb-2">
                  <div class="form-check">
                    <input class="form-check-input is-invalid" id="invalidCheck3" type="checkbox" value="" required="true" />
                    <label class="form-check-label" for="invalidCheck3">Information provided above are correct as per my knowledge</label>
                  </div>
                </div>
                <button class="btn btn-primary" type="submit">Send for Approval</button>
              </div>
            </div>

          </div>
        </div>
        </div>

      </form>
    </div>
    <!-- END card-->
  </div>
</div>
